[L011]文献作者和机构

post
https://connect.zhihuiya.com/literature/author-affiliation
在体验中心中试用

可以通过输入paper id或doi 查询某条具体文献的作者和机构。

paper_id和doi两个参数必须要有一个,如果两个都存在,会优先使用paper_id。 该接口支持传入多个paper_id进行批量请求,上限为100条,请求参数相互之间用英文,隔开。批量请求在进行流量/费用扣减的时候,会根据返回结果的成功条数进行多次扣减。

请求参数

此 API 接口支持的参数列表

名称类型示例描述
doi
string10.1016/j.bpj.2024.07.030
doi(仅支持传入单个doi)
paper_id
string00001b6d-2cfa-411a-ab41-8a05fd675d46,00001756-243f-4738-a288-282987105915
文献id

响应结构

API 响应数据的结构说明

字段名类型示例描述
data
array-
响应数据
doi
string10.1039/d3nr04740g
DOI
paper_id
string8be86941-0455-4ca4-921b-61e1c01d6393
文献id
author_data
arrayPlease check the form: LiteratureAuthor
作者机构数据
name
stringBihannic, Isabelle
Full Name
orcid
string0000-0001-9780-2509
ORCID
surname
stringBihannic
Surname
sequence
integer<int32>6
序号
co_authors
array[ "Beaussart, Audrey", "Sohm, Bénédicte", "Caillet, Céline" ]
Co-Authors
first_name
stringIsabelle
Surname
published_list
array[ "Hoppe, Sandrine,Farge, Laurent,Tournilhac, François,et al.Deformation mechanisms in PBT at elevated temperatures.Mater Today Commun.2023 Aug;36:106774.doi:10.1016/j.mtcomm.2023.106774.", "Duval, Jérôme F.L.,Bihannic, Isabelle,Razafitianamaharavo, Angelina,et al.New insights into the effects of growth phase and enzymatic treatment on the cell-wall properties of Chlorella vulgaris microalgae.Algal Res.2023 Jan;69:102955.doi:10.1016/j.algal.2022.102955." ]
Published List
affiliation_name
stringUniversité de Lorraine, CNRS, LIEC, F-54000 Nancy, France. nicolas.lesniewska@univ-lorraine.fr.
Affiliation Name
affiliation_type
stringEducation
Affiliation Type
affiliation_rorid
stringhttps://ror.org/04vfs2w97
Affiliation RORID
affiliation_country
stringFrance
Affiliation Country
status
必填
booleanfalse
状态
error_msg
stringThe request parameter format is incorrect!
错误信息
error_code
必填
integer0
错误代码

成功响应示例

成功调用 API 的响应示例

JSON
{
  "data": [
    {
      "doi": "10.1039/d3nr04740g",
      "paper_id": "8be86941-0455-4ca4-921b-61e1c01d6393",
      "author_data": [
        {
          "name": "Bihannic, Isabelle",
          "orcid": "0000-0001-9780-2509",
          "surname": "Bihannic",
          "sequence": 6,
          "co_authors": [
            "Beaussart, Audrey",
            "Sohm, Bénédicte",
            "Caillet, Céline"
          ],
          "first_name": "Isabelle",
          "published_list": [
            "Hoppe, Sandrine,Farge, Laurent,Tournilhac, François,et al.Deformation mechanisms in PBT at elevated temperatures.Mater Today Commun.2023 Aug;36:106774.doi:10.1016/j.mtcomm.2023.106774.",
            "Duval, Jérôme F.L.,Bihannic, Isabelle,Razafitianamaharavo, Angelina,et al.New insights into the effects of growth phase and enzymatic treatment on the cell-wall properties of Chlorella vulgaris microalgae.Algal Res.2023 Jan;69:102955.doi:10.1016/j.algal.2022.102955."
          ],
          "affiliation_name": "Université de Lorraine, CNRS, LIEC, F-54000 Nancy, France. nicolas.lesniewska@univ-lorraine.fr.",
          "affiliation_type": "Education",
          "affiliation_rorid": "https://ror.org/04vfs2w97",
          "affiliation_country": "France"
        }
      ]
    }
  ],
  "status": true,
  "error_code": 0
}

错误码

此接口可能返回的错误码列表

业务错误码

错误码描述
68300004请求参数异常!
68300005查询Api失败!
68300006解析基本存取错误!
68300007存在错误的请求!
68300008服务中断异常,请稍后再试!
68300010文件不符合上传规范!

平台错误码

错误码描述
67200000API整体限流错误!
67200001API整体限流错误!
67200002当前调用速率过快,超过当前配置限制QPS!
67200003申请token的key和secret传参不正确或者客户端已被禁用!
67200004请求的接口无权限请联系我们的支持人员!
67200005账户余额/调用次数不足!
67200006客户端超过开通有效期!
67200007当前调用超过当天配置使用额度!
67200008请检查query参数中必填的apikey是否传输!
67200009apikey与所传的bearerToken不匹配,请检查是否使用在有效期内的token!
67200012请求不合法!
67200100当前服务器状态正忙,请求响应超时!
67200101当前请求的Api不存在请检查请求Path!

HTTP 状态码

状态码描述
0请求成功
201Created
401Unauthorized
403Forbidden
404Not Found

性能指标

此接口的预期性能特征

正常响应时间

5000 ms

最大响应时间

10000 ms